(* 
   2001 (c) Andrzej Wasowski
   wasowski@data.pl

   This is an extremely simple RSL (RAISE Specification Language)
   token-oriented pretty printer. Serves only some subset
   of RSL that I used to generate slides. It's much smaller
   and simpler than original commercially available prettyprinter
   for RAISE.

   In particular it handles neither imperative nor concurrent stuff and
   character strings. Only works for short specifiations (due to
   oversimplified memmory management).  Improvements may appear as I need
   more elements of RSL.

   I used this pretty printer and pngit script to generate slides for part
   of lecture "Inzynieria oprogramowania" at Mathematics and Computer
   Science Departement of Warsaw University of Technology.

   License: this is a free software for private, educational or
   scientific use. You can modify and use it as long
   as my authorship is mentioned. I do not mind receiving an email
   message if you find it useful.

   Commercial, government and military users should inquire for the
   permission.  
*)

fun pretty () = 
	let
        	val lexbuf = Lexing.createLexerString 
        	             (TextIO.inputAll TextIO.stdIn)
        in      
        	print "\\input style.tex\n";
        	print "\\input rsl.tex\n";
        	print "\\begin{document}\n";
                print "\\begin{lstlisting}{}\n";
        	while (rsl2latex.Initial lexbuf) do ();
        	print "\\end{lstlisting}\n";
        	print "\\end{document}\n"
        end           

val _ = pretty ();
